{% extends 'base.html.twig' %}

{% block title %}your Booking!{% endblock %}

{% block body %}

<div class="container">
<h1>my reservations</h1>
<div class="alert alert-info mt-5">
<p>your reseervation</div>

{%for booking in app.user.bookings%}
<div class="row">
<div class="col-4">
<img src="../{{booking.ad.coverImage}}" width=100%>

<div class="mt-3">
{%set comment = booking.ad.getCommentFromAuthor(app.user) %}
{%if comment is not null %}
note:{% include 'partials/rating.html.twig' with {'rating':comment.rating}%}
{%else%}
<a href="{{path('booking_show',{'id': booking.id})}}#comment" class="btn btn-link">give your opinion</a>
{%endif%}
</div>

</div>
<div class="col-8">
<h4>{{booking.ad.title}}</h4>
<p>reservation n{{booking.id}}<br>du {{booking.startDate|date('d/m/Y')}} au
{{booking.endDate|date('d/m/Y')}} ({{booking.amount}} &euro;)</p>
<a href="{{path('booking_show',{'id':booking.id})}}" class="btn btn-info">plus information</a>
</div>
</div>
{%endfor%}
{% endblock %}
